# Flowgate
HTTP requests redirection system

Features:
- Request redirection
- TLS support
- Keep-alive connections
- Sending IP in header (X-Real-IP)

TODO:
- Remove panics
- Creating trees of flowgate
- Filter by headers
- Modify response headers
- HTTP/3 full support

## How to use

Firstly, download it from releases. or build from sources (read BUILD.md) \
Just run it and configure in `conf.yml` file.

## Configuration

### IP forwarding methods

- None (`none`):\
  Do nothing
- Modern (`modern`):\
  Appends encoded to bytes ip to the beginning of the request
- Simple (`simple`):\
  Appends `ip:port\n` to the beginning of the request
- Header (`header[:HEADER_NAME]`):\
  Adds header `HEADER_NAME: ip:port` to the request